;                         "Pretty Shorty Intro 2" 
;               done in 2016 for Hokuto Force releases !
;--------------------------------------------------------------------------
; Please don't use source code and only compile it for fun with 64tass 1.47
; For Example: 64tass.exe -C -a -i prettyshorty2.asm -o prettyshorty2.prg
;--------------------------------------------------------------------------
; Programming by Sylwester (Buddha) Hasiak
; Logo by Andy (Shine) Zeidler
; Ideas and help by Silvio (The Overkiller) Sava
;--------------------------------------------------------------------------

		*= $0801 ; startup sys if you want to link game and run with unpacked intro
        .word sysup,2016
        .null $9e,^startup ;sys 4591
sysup   .word 0
        *= $1000                                     
soundfx	.byte $00,$02,$08,$00,$55,$1f,$ff,$10
        .byte $02,$00,$00,$55,$1f,$ff,$08,$02
        .byte $00,$81,$41,$1f,$ff,$00,$0a
        .byte $ff,$1f,$0a
sprtab1 .byte $1f,$69,$1f,$7d,$1f,$91,$1f,$a5       
        .byte $38,$69,$38,$7d,$38,$91,$38,$a5
startup	sei
		lda #$37
		sta $01
		ldx #0
-	    lda soundfx,x
        sta $d400,x
        inx 
        cpx #$19
        bne -
-		lda #$ff
-       cmp $d012
		bne -
		jsr rolgfx
		jsr int1
		lda lobyte1
		cmp #$40
		bne --
		jsr scoff1
-		lda #$ff
-       cmp $d012
		bne -
		jsr rolgfx
-	    =*+$01
		lda color2
		sta $d020
		sta $d021
		inc -
		lda -
		cmp #$ff
		bne ---
        lda #$7f
        sta $dc0d      
        lda #$01
        sta $d01a    
        lda #$1b
        sta $d011    
		lda #<irq1
        ldx #>irq1
        sta $0314
        stx $0315
		ldx #$00
		lda #$20
-		sta $0400,x
		sta $0500,x
		sta $0600,x
		sta $0700,x
		inx
		bne -
		ldx #$00
-	 	lda msg1,x
		sta $0478,x
		lda msg2,x
        sta $04a0,x
        lda msg3,x
        sta $04c8,x
        lda fcolor1,x
        sta $dad0,x
        lda fcolor2,x
        sta $d828,x
        lda #$06
        sta $d9b8,x
        inx 
        cpx #$28
        bne -
		lda #$00
        STA $D01C    ;Sprites Multi-Color Mode Select
        STA $D017    ;Sprites Expand 2x Vertical (Y)
        STA $D01d    ;Sprites Expand 2x Vertical (X)
        STA $D01B    ;Sprite to Background Display Priority
;        LDA #$0C
;        STA $D025    ;Sprite Multi-Color Register 0
;        LDA #$0F
;        STA $D026    ;Sprite Multi-Color Register 1
		LDA #$22
        STA $07F8
        STA $07F9
        STA $07Fa
        STA $07Fb
 		LDA #$21
        STA $07Fc
        STA $07Fd
        STA $07Fe
        STA $07Ff
		ldx #0
-		lda sprtab1,x
		sta $d000,x
		inx
		cpx #$10
		bne -
        LDA #%11111111
		sta $d015	 ;Sprite Enable
        lda #%11110000
        sta $d010
        LDA #$00
		sta $D027	;Sprite 0 Color
        STA $D028    ;Sprite 1 Color
        STA $D029    ;Sprite 2 Color
        STA $D02A    ;Sprite 3 Color
        STA $D02B    ;Sprite 4 Color
        STA $D02C    ;Sprite 5 Color
        STA $D02D    ;Sprite 6 Color
        STA $D02E    ;Sprite 7 Color
		cli
		jmp wait1
scoff1	lda #$00
		sta $d827
		sta $d84f
		sta $d877
		sta $d89f
		sta $d8c7
		sta $d8ef
		sta $d917
		sta $d93f
		sta $d967
		sta $d98f
		sta $d9b7
		sta $d9df
		sta $da07
		sta $da2f
		sta $da57
		sta $da7f
		sta $daa7
		sta $dacf
		sta $daf7
		sta $db1f
		sta $db47
		sta $db6f
		sta $db97
		sta $dbbf
		sta $dbe7
		rts
;--------------------------------------
irq1	lda #$37
-		cmp $d012
		bne -
		ldx #$03
-		dex
		bne -
		lda fla1
		sta $d020
		sta $d021
		ldx #$09
-		dex
		bne -
		lda #$00
		sta $d020
		sta $d021
		lda #$3a
-		cmp $d012
		bne -
		lda #$1b
		sta $d011
		lda sc2
		sta $d016
		lda #$17
		sta $d018
		lda #$44
-		cmp $d012
		bne -
		ldx #$0a
-		dex
		bne -
		lda fla1
		sta $d020
		sta $d021
		ldx #$0b
-		dex
		bne -
		lda #$00
		sta $d020
		sta $d021		
		lda #$18
		sta $d016
		lda #$49
-		cmp $d012
		bne -
		ldx #$0b
-		dex
		bne -
		lda #$00
		sta $d020
		sta $d021
		lda #$c8
		sta $d016
		lda #$1b
		sta $d011
		lda #$17
		sta $d018
		lda #$68
-		cmp $d012
		bne -
		ldx #$09
- 		dex
		bne -
		lda $d880
		sta $d020
		sta $d021
		ldx #$09
-		dex
		bne -
		lda #$00
		sta $d020
		sta $d021
		lda #$1b
		sta $d011
		lda #$15
		sta $d018
		lda dpos3
		sta $d016
		jsr sx0ac
		jsr sx1ac
		jsr int2
		jsr rolgfx2
		jsr flash1
		lda #$bb
-		cmp $d012
		bne -
		ldx #$03
- 		dex
		bne -
		lda $d878
		sta $d020
		sta $d021
		ldx #$0a
-		dex
		bne -
		lda #$00
		sta $d020
		sta $d021
		lda #$c1
-		cmp $d012
		bne -
		lda sc1
		sta $d016
		lda #$17
		sta $d018
		ldx by1
        lda sine1,x
        tay 
        ldx $d011
-	    inx 
        txa 
        and #$07
        sta $d011
        jsr szca5
        tax 
        dey 
        bpl -
        nop 
        nop 
        nop 
        nop 
        nop 
        nop 
        ldy #$08
        and #$07
        tax 
        stx $d011
        ldx #$09
-		dex
		bne -
-	    lda $d012
-	    cmp $d012
        beq -
        dey 
        bne --
        jsr szcac
        ldy #$c1
        ldx $d011
-	    inx 
        txa 
        and #$07
        ora #$78
        sta $d011
        jsr szca6
        tax 
        cpy $d012
        bcs -
        ldx by1
        inx 
        txa 
        and #$1f
        sta by1
		lda #$f0
-		cmp $d012
		bne -
		lda #$1b
		sta $d011
		lda #$c8
		sta $d016
		jsr lswing1
		inc $d019
		jmp $ea7d
;--------------------------------------------
rolgfx2	ldx #$00
-		lda $d879,x
        sta $d878,x
		lda $d8a1,x
        sta $d8a0,x
        lda $d8c9,x
        sta $d8c8,x
		inx
		cpx #$28
		bne -		
		rts
int2
-	    =*+$01
        lda color1
        sta $d89f
        inc -
-	    =*+$01
        lda color1+$02
        sta $d8c7
        inc -
-   	=*+$01
        lda color1+$04
        sta $d8ef
        inc -
        rts
flash1
-	    =*+$01
        lda scolor1
	    sta fla1
        inc -
        lda -
        cmp #$d0
        bne +
        lda #$b0
        sta -
+	    rts
szca5   nop 
szca6   nop 
        nop 
        nop 
        nop 
        cmp $0d
szcac   ldx #$03
-	    dex 
        bne -
        cmp $0d
        rts 
sx0ac   nop 
        lda sc1
        sec 
        sbc #$02
        bcc +
        sta sc1
        rts 
+	    lda #$07
        sta sc1
zx0bc   =*+$01
zx0bd   =*+$02
zx0bb   lda scroll1
        sta dope
        cmp #$00
        bne +
        lda #>scroll1
        ldy #<scroll1
        sta zx0bd
        sty zx0bc
        lda #$20
        sta dope
+	    lda dope
        sta $06f7
        ldx #$00
-	    lda $06d1,x
        sta $06d0,x
        inx 
        cpx #$27
        bne -
        lda dope+$01
        cmp #$01
        beq +
        inc zx0bc
+	    lda zx0bc
        cmp #$00
        bne +
        inc zx0bd
+	    rts 
sx1ac   nop 
        lda sc2
        sec 
        sbc #$03
        bcc +
        sta sc2
        rts 
+	    lda #$07
        sta sc2
wx0bc   =*+$01
wx0bd   =*+$02
wx0bb   lda scroll2
        sta dope+$02
        cmp #$00
        bne +
        lda #>scroll2
        ldy #<scroll2
        sta wx0bd
        sty wx0bc
        lda #$20
        sta dope+$02
+	    lda dope+$02
        sta $044f
        ldx #$00
-	    lda $0429,x
        sta $0428,x
        inx 
        cpx #$27
        bne -
        lda dope+$03
        cmp #$01
        beq +
        inc wx0bc
+	    lda wx0bc
        cmp #$00
        bne +
        inc wx0bd
+	    rts 
rolgfx  ldx pos1
	    lda $d801,x
        sta $d800,x
        lda $d829,x
        sta $d828,x
        lda $d851,x
        sta $d850,x
        lda $d879,x
        sta $d878,x
        lda $d8a1,x
        sta $d8a0,x
        lda $d8c9,x
        sta $d8c8,x
        lda $d8f1,x
        sta $d8f0,x
        lda $d919,x
        sta $d918,x
        lda $d941,x
        sta $d940,x
        lda $d969,x
        sta $d968,x
        lda $d991,x
        sta $d990,x
        lda $d9b9,x
        sta $d9b8,x
        lda $d9e1,x
        sta $d9e0,x
        lda $da09,x
        sta $da08,x
        lda $da31,x
        sta $da30,x
        lda $da59,x
        sta $da58,x
        lda $da81,x
        sta $da80,x
        lda $daa9,x
        sta $daa8,x
        lda $dad1,x
        sta $dad0,x
        lda $daf9,x
        sta $daf8,x
        lda $db21,x
        sta $db20,x
        lda $db49,x
        sta $db48,x
        lda $db71,x
        sta $db70,x
        lda $db99,x
        sta $db98,x
        lda $dbc1,x
        sta $dbc0,x
        inc pos1 
		lda pos1
        cmp #$27
        bne +
		lda #$00
		sta pos1
		rts
+		jmp rolgfx
int1
lobyte1	=*+$01
        lda color1
        sta $d827
        inc lobyte1
-	    =*+$01
        lda color1+$01
        sta $d84f
        inc -
-	    =*+$01
        lda color1+$02
        sta $d877
        inc -
-	    =*+$01
        lda color1+$03
        sta $d89f
        inc -
-	    =*+$01
        lda color1+$04
        sta $d8c7
        inc -
-	    =*+$01
        lda color1+$05
        sta $d8ef
        inc -
-	    =*+$01
        lda color1+$06
        sta $d917
        inc -
-	    =*+$01
        lda color1+$07
        sta $d93f
        inc -
-	    =*+$01
        lda color1+$08
        sta $d967
        inc -
-	    =*+$01
        lda color1+$09
        sta $d98f
        inc -
-	    =*+$01
        lda color1+$0a
        sta $d9b7
        inc -
-	    =*+$01
        lda color1+$0b
        sta $d9df
        inc -
-	    =*+$01
        lda color1+$0c
        sta $da07
        inc -
-	    =*+$01
        lda color1+$0d
        sta $da2f
        inc -
-	    =*+$01
        lda color1+$0e
        sta $da57
        inc -
-	    =*+$01
        lda color1+$0f
        sta $da7f
        inc -
-	    =*+$01
        lda color1+$10
        sta $daa7
        inc -
-	    =*+$01
        lda color1+$11
        sta $dacf
        inc -
-	    =*+$01
        lda color1+$12
        sta $daf7
        inc -
-	    =*+$01
        lda color1+$13
        sta $db1f
        inc -
-	    =*+$01
        lda color1+$14
        sta $db47
        inc -
-	    =*+$01
        lda color1+$15
        sta $db6f
        inc -
-	    =*+$01
        lda color1+$16
        sta $db97
        inc -
-	    =*+$01
        lda color1+$17
        sta $dbbf
        inc -
-	    =*+$01
        lda color1+$18
        sta $dbe7
        inc -
        rts
lswing1
-	 	=*+$01
	    ldx #$00
        lda logsin1,x
        sta dpos3
        lda logsin2,x
        tax 
        ldy #$00
-	    lda lch1,x
        sta $0540,y
		lda lco1+$01,x
        sta $d940,y
        lda lch2,x
        sta $0568,y
        lda lco2+$01,x
        sta $d968,y
        lda lch3,x
        sta $0590,y
        lda lco3+$01,x
        sta $d990,y
        lda lch4,x
        sta $05b8,y
        lda lco4+$01,x
        sta $d9b8,y
        lda lch5,x
        sta $05e0,y
        lda lco5+$01,x
        sta $d9e0,y
        lda lch6,x
        sta $0608,y
        lda lco6+$01,x
        sta $da08,y
        lda lch7,x
        sta $0630,y
        lda lco7+$01,x
        sta $da30,y
        lda lch8,x
        sta $0658,y
        lda lco8+$01,x
        sta $da58,y
        lda lch9,x
        sta $0680,y
        inx 
        iny 
        cpy #$28
        bne -
        inc --
        lda --
        cmp #$60
        beq +
        rts 
+	    lda #$00
        sta --
        rts 
dpos3	.byte $00
fcolor1 .byte $0b,$0c,$0f,$01,$01,$01,$01,$01
        .byte $01,$01,$01,$01,$01,$01,$01,$01
        .byte $01,$01,$01,$01,$01,$01,$01,$01
        .byte $01,$01,$01,$01,$01,$01,$01,$01
        .byte $01,$01,$01,$01,$0f,$0c,$0b,$0b
icred	
		ldx #$00
		lda #$00
-	 	sta $d800,x
		inx
		bne -
		ldx #$00
-	 	lda crtext1,x
		sta $0400,x
		lda crtext2,x
		sta $0450,x
		lda crtext3,x
		sta $0478,x
		lda crtext4,x
		sta $04a0,x
		lda crtext5,x
		sta $04c8,x
		inx
		cpx #$28
		bne -
		lda #$17
		sta $d018
		lda #$00
		sta lobyte1
		sta pos1
-		lda #$ff
-       cmp $d012
		bne -
		jsr rolgfx
		jsr int1
		lda lobyte1
		cmp #$ff
		bne --
		jsr scoff1
-		lda #$ff
-       cmp $d012
		bne -
		jsr rolgfx
-	    =*+$01
		lda color2
		sta $d020
		sta $d021
		inc -
		lda -
		cmp #$ff
		bne ---
		rts
		.include "credits.s"
logsin1 .byte $c7,$c5,$c3,$c0,$c6,$c4,$c2,$c1
        .byte $c0,$c7,$c6,$c6,$c6,$c7,$c1,$c2
        .byte $c5,$c0,$c4,$c0,$c5,$c3,$c1,$c0
        .byte $c0,$c0,$c1,$c3,$c5,$c0,$c4,$c0
        .byte $c5,$c2,$c1,$c7,$c6,$c6,$c6,$c7
        .byte $c7,$c1,$c2,$c4,$c6,$c0,$c3,$c5
        .byte $c7,$c2,$c4,$c7,$c1
	    .byte $c2,$c5,$c6
	    .byte $c7,$c0,$c1,$c1,$c1,$c0,$c6,$c5
        .byte $c2,$c7,$c3,$c7,$c2,$c4,$c6,$c7
        .byte $c7,$c7,$c6,$c4,$c2,$c7,$c3,$c7
        .byte $c2,$c5,$c6,$c0,$c1,$c1,$c1,$c0
        .byte $c0,$c6,$c5,$c3,$c1,$c7,$c4,$c2
        .byte $c2,$c2,$c0,$c0,$c0,$c0,$c0,$c0
logsin2 .byte $14,$15,$16,$17,$19,$1a,$1b,$1c
        .byte $1d,$1f,$20,$21,$22,$23,$23,$24
        .byte $25,$25,$26,$26,$27,$27,$27,$27
        .byte $27,$27,$27,$27,$27,$26,$26,$25
        .byte $25,$24,$23,$23,$22,$21,$20,$1f
        .byte $1e,$1c,$1b,$1a,$19,$17,$16,$15
        .byte $14,$12,$11,$10,$0e,$0d,$0c,$0b
        .byte $0a,$08,$07,$06,$05,$04,$04,$03
        .byte $02,$02,$01,$01,$00,$00,$00,$00
        .byte $00,$00,$00,$00,$00,$01,$01,$02
        .byte $02,$03,$04,$04,$05,$06,$07,$08
        .byte $09,$0b,$0c,$0d,$0e,$10,$11,$12
        .byte $17,$00,$00,$00,$00,$00,$00,$00
        .byte $00
;------------------------------------------------------------------------------
;  cracked game "include and relocate" sections
;------------------------------------------------------------------------------
wait1   lda $dc01    
        cmp #$ef
        bne wait1
        sei 
        jsr $fda3           
        jsr $fd15    
        jsr $ff5b     
		lda #$00
		sta $d020
		sta $d021
		jsr icred
		lda #$15
		sta $d018
        ldx #$00
-	  	lda relo1,x
        sta $0340,x
        lda #$00
        sta $d400,x  
        inx 
        cpx #$50
        bne -
        cli 
        jmp $0340

relo1   sei 
        lda #$34
        sta $01
-	    ldx #$00
-	    lda game,x
        sta $0801,x
        inx 
        bne -
        inc $0349
        inc $034c
        lda $0349
        cmp #$00
        bne --
        lda #$37
        sta $01
        cli 
        jmp $fce2 ; enter your game start address (now is c64 reset)
game 	
;		.binary "filename.prg",2 ; include your crack game to intro
		.byte $00
;------------------------------------------------------------------------------
		*= $0840
		.BYTE $00,$00,$00
	    .BYTE $02
	    .BYTE $29
	    .BYTE $95,$88
 	    .BYTE $A6,$65,$02,$A9,$97,$22,$66,$5D
        .BYTE $08,$A9,$95,$00
	    .BYTE $8A,$A5,$08,$A9,$95,$00,$02,$A6
        .BYTE $88,$A6,$65,$00,$00
	    .BYTE $99,$00,$22,$A6,$02,$22,$A9,$00
        .BYTE $02,$65,$08,$8A,$99
	    .BYTE $00,$22,$26,$00,$02,$99,$08,$8A
        .BYTE $65,$82,$26,$56,$00,$88,$99,$22
        .BYTE $26,$95,$6F
        .BYTE $00,$00,$00,$56,$68,$80,$59,$9A
        .BYTE $22,$D6,$6A,$80,$75,$99,$88,$56
        .BYTE $6A,$20,$5A,$A2,$00,$56,$6A,$20
        .BYTE $9A,$80,$00,$59,$9A,$22,$66
	    .BYTE $00,$00,$9A,$88,$00,$6A,$88,$80
        .BYTE $59,$80,$00,$66,$A2,$20,$98,$88
        .BYTE $00,$66,$80,$00,$59,$A2,$20,$95
        .BYTE $98,$82,$66,$22,$00,$56,$98,$88
        .BYTE $DF,$00
		*= $08c0
sc1		.byte $00
sc2		.byte $00
sine1   .byte $16,$14,$12,$10,$0e,$0c,$0a,$08
        .byte $06,$05,$03,$02,$01,$00,$00,$00
        .byte $00,$00,$00,$00,$01,$02,$03,$05
        .byte $06,$08,$0a,$0c,$0e,$10,$12,$14
fla1	.byte $0b
lch1    .byte $20,$5d,$20,$20,$20,$5d,$20,$70,$43
        .byte $43,$43,$6e,$20,$5d,$20,$20,$20
        .byte $5d,$20,$5d,$20,$20,$20,$5d,$20
        .byte $40,$40,$72,$40,$40,$20,$70,$43
        .byte $43,$43,$6e,$20,$20,$20,$20,$20
        .byte $20,$20,$20,$20,$20,$20,$20
        .byte $70,$43,$43,$40,$40,$20,$70,$43
        .byte $43,$43,$6e,$20,$70,$43,$43,$43
        .byte $6e,$20,$70,$43,$43,$43,$40,$20
        .byte $70,$43,$43,$43,$40,$20,$20,$20
lch2    .byte $20,$a1,$20,$20,$20,$e0,$20,$a1,$20
        .byte $20,$20,$e0,$20,$a1,$20,$20,$20
        .byte $e0,$20,$a1,$20,$20,$20,$e0,$20
        .byte $20,$20,$a1,$20,$20,$20,$a1,$20
        .byte $20,$20,$e0,$20,$20,$20,$20,$20
        .byte $20,$20,$20,$20,$20,$20,$20
        .byte $a1,$20,$20,$20,$20,$20,$a1,$20
        .byte $20,$20,$e0,$20,$a1,$20,$20,$20
        .byte $e0,$20,$a1,$20,$20,$20,$20,$20
        .byte $a1,$20,$20,$20,$20,$20,$20,$20   
lch3    .byte $20,$ba,$20,$20,$20,$e0,$20,$ba,$20
        .byte $20,$20,$e0,$20,$ba,$20,$20,$6c
        .byte $e0,$20,$ba,$20,$20,$20,$e0,$20
        .byte $20,$20,$e0,$20,$20,$20,$ba,$20
        .byte $20,$20,$e0,$20,$20,$20,$20,$20
        .byte $63,$20,$20,$20,$20,$20,$20
        .byte $ba,$20,$20,$20,$20,$20,$ba,$20
        .byte $20,$20,$e0,$20,$ba,$20,$20,$6c
        .byte $e0,$20,$ba,$20,$20,$20,$20,$20
        .byte $ba,$20,$20,$20,$20,$20,$20,$20
lch4    .byte $e1,$e0,$e0,$e0,$e0,$e0,$e1,$e0,$e0
        .byte $20,$20,$e0,$e1,$e0,$e0,$e0,$e0
        .byte $7e,$e1,$e0,$e0,$20,$20,$e0,$20
        .byte $20,$e1,$e0,$e0,$20,$e1,$e0,$e0
        .byte $20,$20,$e0,$20,$20,$20,$20,$77
        .byte $77,$77,$20,$20
	    .byte $20,$20,$e1,$e0,$e0,$e0,$20,$20
        .byte $e1,$e0,$e0,$20,$20,$e0,$e1,$e0
        .byte $e0,$e0,$e0,$7e,$e1,$e0,$e0,$20
        .byte $20,$20,$e1,$e0,$e0,$e0,$20,$20
        .byte $20,$20,$20
lch5    .byte $e1,$e0,$e0,$e2,$e2,$e0,$e1,$e0,$e0
        .byte $20,$20,$e0,$e1,$e0,$e0,$e2,$e2
        .byte $fc,$e1,$e0,$e0,$20,$20,$e0,$20
        .byte $20,$e1,$e0,$e0,$20,$e1,$e0,$e0
        .byte $20,$20,$e0,$20,$20,$20,$78,$78
        .byte $78,$78,$78,$20,$20,$20,$e1
        .byte $e0,$e0,$e2,$20,$20,$e1,$e0,$e0
        .byte $20,$20,$e0,$e1,$e0,$e0,$e2,$e2
        .byte $fc,$e1,$e0,$e0,$20,$20,$20,$e1
        .byte $e0,$e0,$13,$08,$0e,$20,$0e
lch6    .byte $e1,$e0,$e0,$e2,$7e,$e0,$e1,$e0,$e0
        .byte $e2,$7e,$e0,$e1,$e0,$e0,$e2,$7e
        .byte $e0,$e1,$e0,$e0,$e2,$7e,$e0,$e2
        .byte $e2,$e1,$e0,$e0,$e2,$e1,$e0,$e0
        .byte $e2,$7e,$e0,$e2,$e2,$e2,$e2,$e2
        .byte $e2,$e2,$e2,$e2,$e2,$e2,$e1
        .byte $e0,$e0,$e2,$e2,$e2,$e1,$e0,$e0
        .byte $e2,$7e,$e0,$e1,$e0,$e0,$e2,$7e
        .byte $e0,$e1,$e0,$e0,$e2,$e2,$e2,$e1
        .byte $e0,$e0,$e2,$e2,$e2,$20,$e2,$e2
lch7    .byte $e1,$e0,$e0,$e0,$61,$e0,$e1,$e0,$e0
        .byte $e0,$e0,$e0,$e1,$e0,$e0,$e0,$61
        .byte $e0,$e1,$e0,$e0,$e0,$e0,$e0,$e0
        .byte $e0,$e1,$e0,$e0,$e0,$e1,$e0,$e0
        .byte $e0,$e0,$e0,$e0,$e0,$e0,$e0,$e0
        .byte $e0,$e0,$e0,$e0,$e0,$e0,$e1
        .byte $e0,$e0,$e0,$e0,$e0,$e1,$e0,$e0
        .byte $e0,$e0,$e0,$e1,$e0,$e0,$e0,$61
        .byte $e0,$e1,$e0,$e0,$e0,$e0,$e0,$e1
        .byte $e0,$e0,$e0,$e0,$e0,$20,$e0,$e0
lch8    .byte $e1,$e0,$e0,$e0,$61,$e0,$e1,$e0,$e0
        .byte $e0,$e0,$e0,$e1,$e0,$e0,$e0,$61
        .byte $e0,$e1,$e0,$e0,$e0,$e0,$e0,$e0
        .byte $e0,$e1,$e0,$e0,$e0,$e1,$e0,$e0
        .byte $e0,$e0,$e0,$e0,$e0,$e0,$e0,$e0
        .byte $e0,$e0,$e0,$e0,$e0,$e0,$e1
        .byte $e0,$e0,$e0,$e0,$e0,$e1,$e0,$e0
        .byte $e0,$e0,$e0,$e1,$e0,$e0,$e0,$61
        .byte $e0,$e1,$e0,$e0,$e0,$e0,$e0,$e1
        .byte $e0,$e0,$e0,$e0,$e0,$20,$e0,$e0
lch9    .byte $62,$62,$62,$e0,$fc,$62,$62,$62,$62
        .byte $62,$62,$62,$62,$62,$62,$e0,$fc
        .byte $62,$62,$62,$62,$62,$62,$62,$e0
        .byte $e0,$62,$62,$62,$e0,$62,$62,$62
        .byte $62,$62,$62,$e0,$e0,$e0,$e0,$e0
        .byte $e0,$e0,$e0,$e0,$e0,$e0,$62
        .byte $62,$62,$e0,$e0,$e0,$62,$62,$62
        .byte $62,$62,$62,$62,$62,$62,$e0,$fc
        .byte $62,$62,$62,$62,$62,$62,$62,$62
        .byte $62,$62,$62,$62,$62,$20,$62,$e0
lco1    .byte $0e,$0e,$06,$01,$01,$01,$04,$0e
        .byte $06,$06,$06,$0b,$04,$0e,$06,$01
        .byte $01,$01,$04,$0e,$06,$01,$01,$01
        .byte $04,$0e,$06,$06,$06,$06,$0b,$0e
        .byte $06,$06,$06,$0b,$04,$0e,$0e,$0e
        .byte $0e,$0e,$0e,$0e,$0e,$0e,$0e,$0e
        .byte $0e,$06,$06,$06,$0b,$04,$04
        .byte $06,$06,$06,$0b,$04,$0e,$06,$06
        .byte $06,$0b,$04,$0e,$06,$06,$06,$0b
        .byte $04,$0e,$06,$06,$06,$0b,$04,$0e
lco2    .byte $0e,$0b,$06,$0b,$01,$0b,$0e,$0b
        .byte $06,$0a,$0a,$0a,$0e,$0b,$06,$0b
        .byte $01,$0b,$0e,$0b,$06,$01,$01,$01
        .byte $0e,$0b,$01,$01,$06,$0b,$01,$0b
        .byte $06,$0a,$0a,$0a,$0e,$0e,$0e,$0e
        .byte $0e,$0e,$06,$06,$0e,$0e,$0e
        .byte $0e,$0b,$06,$0a,$0a,$01,$01,$0b
        .byte $06,$0a,$0a,$0a,$0e,$0b,$06,$0a
        .byte $0a,$0a,$0e,$0b,$06,$0a,$0a,$0a
        .byte $01,$0b,$06,$0a,$0a,$0a,$01,$0c
lco3    .byte $0e,$0b,$06,$0b,$01,$0b,$05,$0b
        .byte $06,$0b,$01,$0b,$05,$0b,$06,$0b
        .byte $01,$05,$05,$0b,$06,$01,$01,$01
        .byte $05,$0b,$01,$0b,$0b,$01,$01,$0b
        .byte $06,$0b,$01,$0b,$05,$0b,$0e,$0e
        .byte $0e,$0e,$06,$06,$0e,$0e,$0e
        .byte $0e,$0b,$06,$0b,$01,$01,$01,$0b
        .byte $06,$0b,$01,$0b,$05,$0b,$06,$0b
        .byte $01,$05,$05,$0b,$06,$0b,$01,$0b
        .byte $01,$0b,$06,$0b,$01,$0b,$01,$0c
lco4    .byte $0e,$02,$04,$0e,$0b,$0b,$0d,$02
        .byte $04,$0e,$01,$01,$0d,$02,$04,$0e
        .byte $0b,$0b,$0d,$02,$04,$0e,$01,$01
        .byte $0d,$0b,$01,$08,$0e,$05,$01,$02
        .byte $04,$0e,$01,$01,$0d,$0b,$0e,$0e
        .byte $06,$06,$06,$06
        .byte $06,$0e,$0e,$0e,$02,$04,$0e,$0b
        .byte $0b,$01,$02,$04,$0e,$01,$01,$0d
        .byte $02,$04,$0e,$0b,$0b,$0d,$02,$04
        .byte $0e,$01,$01,$01,$02,$04,$0e,$0b
        .byte $06,$06,$06
lco5    .byte $06,$08,$0e,$05,$06,$06,$01,$08
        .byte $0e,$05,$06,$06,$01,$08,$0e,$05
        .byte $06,$06,$01,$08,$0e,$05,$06,$06
        .byte $01,$06,$06,$0a,$05,$03,$06,$08
        .byte $0e,$05,$06,$06,$01,$06,$06,$06
        .byte $06,$06,$06,$06,$06,$06,$06
        .byte $06,$08,$0e,$05,$06,$06,$06,$08
        .byte $0e,$05,$06,$06,$01,$08,$0e,$05
        .byte $06,$06,$01,$08,$0e,$05,$06,$06
        .byte $06,$08,$0e,$05,$06,$06,$06,$06
lco6    .byte $06,$08,$0e,$05,$06,$06,$01,$08
        .byte $0e,$05,$06,$06,$01,$08,$0e,$05
        .byte $06,$06,$01,$08,$0e,$05,$06,$06
        .byte $01,$06,$06,$0a,$05,$03,$06,$08
        .byte $0e,$05,$06,$06,$01,$06,$06,$06
        .byte $06,$06,$06,$06,$06,$06,$06
        .byte $06,$08,$0e,$05,$06,$06,$06,$08
        .byte $0e,$05,$06,$06,$01,$08,$0e,$05
        .byte $06,$06,$01,$08,$0e,$05,$06,$06
        .byte $06,$08,$0e,$05,$06,$06,$06,$06
lco7    .byte $06,$0a,$05,$03,$06,$06,$01,$0a
        .byte $05,$03,$0d,$01,$01,$0a,$05,$03
        .byte $06,$06,$01,$0a,$05,$03,$0d,$01
        .byte $01,$06,$06,$0f,$03,$0d,$06,$0a
        .byte $05,$03,$0d,$01,$01,$06,$06,$06
        .byte $06,$06,$06,$06,$06,$06,$06
        .byte $06,$0a,$05,$03,$06,$06,$06,$0a
        .byte $05,$03,$0d,$01,$01,$0a,$05,$03
        .byte $06,$06,$01,$0a,$05,$03,$0d,$01
        .byte $01,$0a,$05,$03,$0d,$01,$01,$06
lco8    .byte $06,$0b,$0b,$0b,$06,$06,$0f,$0b
        .byte $0b,$0b,$0b,$0c,$0f,$0b,$0b,$0b
        .byte $06,$06,$0f,$0b,$0b,$0b,$0b,$0c
        .byte $0f,$06,$06,$0b,$0b,$0c,$06,$0b
        .byte $0b,$0b,$0b,$0c,$0f,$06,$06,$06
        .byte $06,$06,$06,$06,$06,$06,$06
        .byte $06,$0b,$0b,$0b,$06,$06,$06,$0b
        .byte $0b,$0b,$0b,$0c,$0f,$0b,$0b,$0b
        .byte $06,$06,$0f,$0b,$0b,$0b,$0b,$0c
        .byte $0f,$0b,$0b,$0b,$0b,$0c,$0f,$06
fcolor2 .byte $0b,$0c,$0f,$0f,$0f,$0f,$0f,$0f
        .byte $0f,$0f,$0f,$0f,$0f,$0f,$0f,$0f
        .byte $0f,$0f,$0f,$0f,$0f,$0f,$0f,$0f
        .byte $0f,$0f,$0f,$0f,$0f,$0f,$0f,$0f
        .byte $0f,$0f,$0f,$0f,$0f,$0c,$0b,$0b
		*= $0f00
color1  .byte $0e,$0e,$0e,$0e,$0a,$0a,$0a,$0a
        .byte $0c,$0c,$0c,$0c,$0d
	    .byte $0d,$0d,$0d,$0b,$0b,$0b,$0b,$0f
        .byte $0f,$0f,$0f,$01,$01,$01,$01,$0f
        .byte $0f,$0f,$0f,$0b,$0b,$0b,$0b,$0d
        .byte $0d,$0d,$0d,$0c,$0c,$0c,$0c,$0a
        .byte $0a,$0a,$0a,$0e,$0e,$0e,$0e,$08
        .byte $08,$08,$08,$08,$08,$08,$08,$08
        .byte $08,$08,$08,$0e,$0e,$0e
	    .byte $0e
	    .byte $0a
	    .byte $0a
	    .byte $0a
	    .byte $0a
	    .byte $0c
	    .byte $0c
	    .byte $0c
	    .byte $0c,$0d,$0d,$0d,$0d,$0b,$0b,$0b
        .byte $0b,$0f,$0f,$0f,$0f,$01,$01,$01
        .byte $01,$0f,$0f,$0f,$0f,$0b,$0b,$0b
        .byte $0b,$0d,$0d,$0d,$0d,$0c,$0c,$0c
        .byte $0c,$0a,$0a,$0a,$0a,$0e,$0e,$0e
        .byte $0e,$08,$08,$08,$08,$08,$08,$08
        .byte $08,$08,$08,$08,$08,$0e,$0e,$0e
        .byte $0e,$0a,$0a,$0a,$0a,$0c,$0c,$0c
        .byte $0c,$0d,$0d,$0d,$0d,$0b,$0b,$0b
        .byte $0b,$0f,$0f,$0f,$0f,$01,$01,$01
        .byte $01,$0f,$0f,$0f,$0f,$0b,$0b,$0b
        .byte $0b,$0d,$0d,$0d,$0d,$0c,$0c,$0c
        .byte $0c,$0a,$0a,$0a,$0a,$0e,$0e,$0e
        .byte $0e,$08,$08,$08,$08,$08,$08,$08
        .byte $08,$08,$08,$08,$08,$0e,$0e,$0e
        .byte $0e,$0a,$0a,$0a,$0a,$0c,$0c,$0c
        .byte $0c,$0d
	    .byte $0d,$0d,$0d,$0b,$0b,$0b,$0b,$0f
        .byte $0f,$0f,$0f,$01,$01,$01,$01,$0f
        .byte $0f,$0f,$0f,$0b,$0b,$0b,$0b,$0d
        .byte $0d,$0d,$0d,$0c,$0c,$0c,$0c,$0a
        .byte $0a,$0a,$0a,$0e,$0e,$0e,$0e,$08
        .byte $08,$08,$08,$08,$08,$08,$08,$08
        .byte $08,$08,$08

		*= $0eb0
scolor1 .byte $01,$01,$0d,$0d,$03,$03,$05,$05
        .byte $08,$08,$0b,$0b,$0b,$0b,$0b,$0b
        .byte $0b,$0b,$0b,$0b,$0b,$0b,$0b,$0b
        .byte $0b,$0b,$0b,$0b,$0b,$0b,$0b,$0b
		*= $0ed0
dope	.byte $00,$00,$00,$00
		*= $0ed6
by1		.byte $00
		*= $0ed7
pos1	.byte $00
		*= $0ed8
color2  .byte $01,$01,$01,$01,$01,$0d,$0d,$0d
		.byte $0d,$0d,$03,$03,$03,$03,$03,$05
		.byte $05,$05,$05,$05,$08,$08,$08,$08
		.byte $08,$0b,$0b,$0b,$0b,$0b,$09,$09
		.byte $09,$09,$09,$09,$00,$00,$00,$00